Update Proposed Ids Security Policy
Updates a proposed IDS security policy. Writable fields are publish_action, display_name, and description. The request body must include the current revision value for optimistic concurrency control.
Publish preconditions: PUBLISH is a no-op if the policy is already published successfully or if publication is already in progress. CANCEL_PUBLISH attempts to cancel any ongoing publication; if no publication is in progress, it is a no-op.
Unique identifier of the segmentation session.
Unique identifier of the proposed IDS security policy.
IDS security policy update. Only publish_action, display_name, and description are writable; all other fields are ignored. The revision field is required for optimistic concurrency control. The policy_type field must be included as the discriminator to identify the concrete schema but cannot be changed.
{
"revision": 1,
"policy_type": "ENVIRONMENT",
"publish_action": "PUBLISH",
"display_name": "SSP_EU_AZ2_Test_IDPS"
}
Update accepted and processing asynchronously
{
"id": "f94a73ae-d5a0-39f3-b551-252bff2c5419",
"status_url": "/segmentation/aa68674c-f114-43fc-9ee0-ec6d9cf81d01/results/proposed-ids-security-policies/f94a73ae-d5a0-39f3-b551-252bff2c5419/status"
}
UUID identifier of the response.
The URL to check the status of the operation.
Bad Request
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unauthorized
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Forbidden
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Failed
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Precondition Required
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Too Many Requests
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
Unexpected error
{
"error_code": 0,
"module_name": "string",
"error_message": "string"
}
HTTP Status or Application error code.
Module where the error happened.
Message describing the error.
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"policy_type":"string"}' https://{api_host}/ssp/segmentation/{session-id}/results/proposed-ids-security-policies/{policy-id}